Support » Plugin: Link Indication » Not compatible with PHP 7

Viewing 2 replies - 1 through 2 (of 2 total)
  • Just ran into this problem as well! I thought my upgrade to Ubuntu 16.04 (with MySQL 5.7 and PHP7) had borked WordPress entirely but then managed to track it down to this plugin. Once I disabled it, everything started working again.

    The problem is this:

    PHP Fatal error: Uncaught Error: Call to undefined function eregi_replace() in /var/www/public/blog/wp-content/plugins/link-indication/link-indication.php:315

    eregi_replace() was removed in PHP7:

    https://secure.php.net/manual/en/function.eregi-replace.php

    I got the plugin working by changing this line:

    $final_stuff = eregi_replace(':space:+', ' ', $final_stuff);

    to this:

    $final_stuff = preg_replace('/:space:+/', ' ', $final_stuff);

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Not compatible with PHP 7’ is closed to new replies.